Subject: bug#38167: guix pull takes over 8 GiB of memory to finish if there are no substitutes

From: Danny Milosavljevic <[email-masked]>
Date: Tue, 31 Dec 2019 16:44:50 +0100

Hi Ludo,

On Sun, 29 Dec 2019 23:41:42 +0100
Ludovic Courtès <[email-masked]> wrote:

> > It could be because my modules in GUIX_PACKAGE_PATH contain an import cycle
> > (I don't know whether it does, but I had such a cycle before).  
> 
> And that’s definitely a possibility!  Can you try unsetting
> GUIX_PACKAGE_PATH?

Sure, but that will not decide it conclusively.

It's pretty rare that guix pull has the problem above (once a week or so), so
it could also be that it will work because it got a non-problematic case the
same time (but not because of) I unset GUIX_PACKAGE_PATH.